### Hierarchy

- CharacterStyle
  - HyperlinkStyle

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- addRunProperty
- basedOn
- color
- delete
- link
- prepForXml
- push
- semiHidden
- size
- superScript
- underline

## Constructors

### constructor

- new HyperlinkStyle(): HyperlinkStyle

- Overrides CharacterStyle.constructor

  - Defined in file/styles/style/default-styles.ts:99

  #### Returns HyperlinkStyle

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addRunProperty

- addRunProperty(property: XmlComponent): CharacterStyle

- Inherited from CharacterStyle.addRunProperty

  - Defined in file/styles/style/character-style.ts:23

  #### Parameters

  - ##### property: XmlComponent

  #### Returns CharacterStyle

### basedOn

- basedOn(parentId: string): CharacterStyle

- Inherited from CharacterStyle.basedOn

  - Defined in file/styles/style/character-style.ts:18

  #### Parameters

  - ##### parentId: string

  #### Returns CharacterStyle

### color

- color(color: string): CharacterStyle

- Inherited from CharacterStyle.color

  - Defined in file/styles/style/character-style.ts:28

  #### Parameters

  - ##### color: string

  #### Returns CharacterStyle

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### link

- link(link: string): CharacterStyle

- Inherited from CharacterStyle.link

  - Defined in file/styles/style/character-style.ts:44

  #### Parameters

  - ##### link: string

  #### Returns CharacterStyle

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### push

- push(styleSegment: XmlComponent): void

- Inherited from Style.push

  - Defined in file/styles/style/style.ts:29

  #### Parameters

  - ##### styleSegment: XmlComponent

  #### Returns void

### semiHidden

- semiHidden(): CharacterStyle

- Inherited from CharacterStyle.semiHidden

  - Defined in file/styles/style/character-style.ts:49

  #### Returns CharacterStyle

### size

- size(twips: number): CharacterStyle

- Inherited from CharacterStyle.size

  - Defined in file/styles/style/character-style.ts:40

  #### Parameters

  - ##### twips: number

  #### Returns CharacterStyle

### superScript

- superScript(): CharacterStyle

- Inherited from CharacterStyle.superScript

  - Defined in file/styles/style/character-style.ts:36

  #### Returns CharacterStyle

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): CharacterStyle

- Inherited from CharacterStyle.underline

  - Defined in file/styles/style/character-style.ts:32

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns CharacterStyle

Generated using TypeDoc